@import "~assets/variables.scss";

.go-to {
    background: $primary;
    width: 100%;
    position: relative;
    h2 {
        color: white;
        font-family: 'Lato';
        font-size: 16px;
        text-align: center;
        font-weight: 300;
        padding: 60px 0;
        a {
            text-decoration: none;
            border: 1px solid #ffffff;
            border-radius: 5px;
            padding:5px 10px;
            color: white;
            margin-left: 10px;
            transition:all 0.3s ease;
            position: absolute;
            top: calc(50% - 14px);        
            &:hover {
                top: calc(50% - 18px);            

                padding:10px 15px;
                background:#676470;
                color: white;
            }            
            @media (max-width: 460px)  {
                position: relative;
                display: block;
                width: 100px;
                margin: 10px auto;
                &:hover {
                    top: inherit;
                    padding: 5px;
                }
            }
        }
    }
}
.contact {
    background: white;
    h3 {
        text-align: center;
        padding: 60px 0 20px 0;
        font-family: 'Montserrat';
        text-transform: uppercase;
        font-size: 16px;
        @media (max-width: 760px)  {
            padding-top: 20px;
        }
        &:after {
            content: '';
            overflow: hidden;
            margin: 16px auto 5px;
            width: 33px;
            height: 2px;
            background: $borderColor;
            display: block;
            text-align: center;
        }
    }
    p {
        font-family: 'Lato';
        color: $darkFont;
        font-weight: 300;
        text-align: center;
        font-size: 14px;
    }
    ul {
        display: flex;
        flex-direction: row;
        margin:85px auto;
        width: 100%;
        max-width: 800px;   
        @media (max-width: 760px)  {
            margin: 20px auto;
        }   
        @media (max-width: 460px)  {
            display: block;
        }  
        li {
            text-align: center;
            flex-wrap: wrap;
            width: calc(100%/3);
            @media (max-width: 460px)  {
                width: 100%;
            }
            i {
                background-position: center;
                background-repeat: no-repeat; 
                display: block;
                height: 35px;
                &.phone {
                    background-image: url(../../assets/phone.png);
                }
                &.email {
                    background-image: url(../../assets/email.png);
                }
                &.gps {
                    background-image: url(../../assets/gps.png);
                }
            }
            label {
                font-family: 'Montserrat';
                color: $darkFont;
                margin: 16px 0;
                display: block;                
            }
            p {
                font-family: 'Montserrat';
                color: #585858;
                font-weight: 400;
                font-size: 12px;           
                a {
                    text-decoration: none;
                    color: #585858;
                }     
            }
        }
    }
}
.map {
    position: relative;

}
    agm-map {
    height: 300px;
    }